### Name: angle.xyz
### Title: Calculate the Angle Between Three Atoms
### Aliases: angle.xyz
### Keywords: utilities

### ** Examples

## Read a PDB file
pdb <- read.pdb( system.file("examples/1bg2.pdb", package="bio3d") )

## Angle between N-CA-C atoms of residue four
inds <- atom.select(pdb,"///4///N,CA,C/")
angle.xyz(pdb$xyz[inds$xyz])

## Basic stats of all N-CA-C bound angles
inds <- atom.select(pdb,"//////N,CA,C/")
summary( angle.xyz(pdb$xyz[inds$xyz]) )
#hist( angle.xyz(pdb$xyz[inds$xyz]), xlab="Angle" )




