### Name: atom.select
### Title: Atom Selection From PDB Structure
### Aliases: atom.select pdb.summary
### Keywords: utilities

### ** Examples


# Read a PDB file
kin <- system.file("examples/1bg2.pdb", package = "bio3d")
pdb <- read.pdb(kin)

# Print structure summary
atom.select(pdb)

# Select all C-alpha atoms with residues numbers between 65 and 143
ca.inds <- atom.select(pdb, "///65:143///CA/")
print( pdb$atom[ ca.inds$atom, "resid" ] )
print( pdb$xyz[ ca.inds$xyz ] )
## Not run: 
##D # Select all C-alphas
##D ca.inds <- atom.select(pdb, "calpha")
##D 
##D # Another example
##D inds <- atom.select(pdb, "///130:142///N,CA,C,O/")
## End(Not run)



