### Name: cmap
### Title: Contact Map
### Aliases: cmap
### Keywords: utilities

### ** Examples


##- Read PDB and Traj files
pdb <- read.pdb( system.file("examples/hivp.pdb", package="bio3d") )
##trj <- read.dcd( system.file("examples/hivp.dcd", package="bio3d") )

## Atom Selection indices
inds <- atom.select(pdb, "calpha")

## Reference contact map
ref.cont <- cmap( pdb$xyz[inds$xyz], dcut=6, scut=3 )
plot.dmat(ref.cont)

## Not run: 
##D ## For each frame of trajectory
##D sum.cont <- NULL
##D for(i in 1:nrow(trj)) {
##D 
##D   ## Contact map for frame 'i'
##D   cont <- cmap(trj[i,inds$xyz], dcut=6, scut=3)
##D 
##D   ## Product with reference
##D   prod.cont <- ref.cont * cont
##D   sum.cont <- c(sum.cont, sum(prod.cont,na.rm=TRUE))
##D }
##D 
##D plot(sum.cont, typ="l")
## End(Not run)



