### Name: identity
### Title: Percent Identity
### Aliases: identity
### Keywords: utilities

### ** Examples

## Not run: 
##D #aln <- read.fasta( system.file("examples/kinesin_xray.fa",
##D #                     package = "bio3d") )
## End(Not run)

data(kinesin)
attach(kinesin)

ide.mat <- identity(aln)

# Plot identity matrix
plot.dmat(ide.mat, color.palette=mono.colors,
          main="Sequence Identity", xlab="Structure No.",
          ylab="Structure No.")

# Histogram of pairwise identity values
hist(ide.mat[upper.tri(ide.mat)], breaks=30,xlim=c(0,1),
     main="Sequence Identity", xlab="Identity")

# Compare two sequences
identity( rbind(aln$ali[1,], aln$ali[20,]) )




