### Name: mktrj.pca
### Title: PCA Atomic Displacement Trajectory
### Aliases: mktrj.pca
### Keywords: utilities

### ** Examples

data(kinesin) # see pca.xyz for details
attach(kinesin)

# Ignore gap containing positions
cut.seqs <- which(pdbs$id %in% c("d1n6mb_","d1ry6a_"))
gaps <- gap.inspect(pdbs$ali[-cut.seqs,])

# Write PC trajectory
a <- mktrj.pca(pc.xray, pc=1, file="pc1.pdb",
               resno = pdbs$resno[1, gaps$f.inds],
               resid = aa123(pdbs$ali[1, gaps$f.inds]) )

b <- mktrj.pca(pc.xray, pc=2, file="pc2.pdb",
               resno = pdbs$resno[1, gaps$f.inds],
               resid = aa123(pdbs$ali[1, gaps$f.inds]) )

c <- mktrj.pca(pc.xray, pc=3, file="pc3.pdb",
               resno = pdbs$resno[1, gaps$f.inds],
               resid = aa123(pdbs$ali[1, gaps$f.inds]) )




