### Name: plot.bio3d
### Title: Plots with marginal SSE annotation
### Aliases: plot.bio3d
### Keywords: hplot

### ** Examples

##-- SSE setup --#
pdb <- read.pdb(  system.file("examples/1bg2.pdb", package="bio3d") )
sse <- dssp(pdb, resno=FALSE)

##-- Or load previous dataset
data(kinesin)
attach(kinesin)

## Plot of B-factor values along with secondary structure
plot.bio3d(pdb$atom[pdb$calpha,"b"], sse=sse, ylab="B-factor")

## Not run: 
##D ## Tidy short helices
##D torm <- sse$helix$length < 4
##D sse$helix$length <- sse$helix$length[!torm]
##D sse$helix$start <- sse$helix$start[!torm]
##D sse$helix$end <- sse$helix$end[!torm]
##D 
##D ##-- Read a FASTA alignment file
##D aln <- read.fasta( system.file("examples/kinesin_xray.fa",package="bio3d") )
##D 
##D ## Plot of residue conservation (similarity) with secondary structure
##D plot.bio3d( conserv(aln)[!is.gap(aln$ali[1,])],  sse=sse )
##D 
##D 
##D ##- Gaps relative to rep.stru
##D data(kinesin)
##D rep.stru <- 1
##D gap.atom.inds <- which(aln$ali[rep.stru,] == "-")
##D gap.xyz.inds  <- atom2xyz(gap.atom.inds)
##D 
##D ## RMSF and B-factors
##D coords <- xyz[,-gap.xyz.inds]
##D bfac <- pdbs$b[,-gap.atom.inds]
##D r <- rmsf(coords)
##D 
##D ##- Plot
##D plot.bio3d(r)
##D plot.bio3d(r, type="o", sse=sse)
##D plot.bio3d(r, sse=sse, helix.col="purple", sheet.col="orange")
##D 
## End(Not run)



