### Name: plot.dmat
### Title: Plot Distance Matrix
### Aliases: plot.dmat
### Keywords: hplot

### ** Examples


# Read PDB file
pdb <- read.pdb(system.file("examples/1bg2.pdb",package="bio3d"))

# DM
d <- dm(pdb,"calpha")
## Not run: 
##D # Plot DM
##D ##filled.contour(d, nlevels = 4)
##D ##plot(d)
##D plot(d,
##D      resnum.1 = pdb$atom[pdb$calpha,"resno"],
##D      color.palette = mono.colors,
##D      xlab="Residue Number", ylab="Residue Number")
##D 
##D # Read alignment
##D aln <- read.fasta(system.file("examples/kif1a.fa",package="bio3d"))
##D pdb.path = system.file("examples/",package="bio3d")
##D pdbs <- read.fasta.pdb(aln, pdb.path = pdb.path, pdbext = ".ent")
##D 
##D # DMs
##D a <- dm(pdbs$xyz[1,])
##D b <- dm(pdbs$xyz[2,]) 
##D 
##D # DDM: difference distance matrix (C-alpha)
##D c <- a - b
##D 
##D # Plot DDM
##D plot(c,key=FALSE, grid=FALSE)
##D 
##D plot(c, axis.tick.space=10,
##D      resnum.1=pdbs$resno[1,],
##D      resnum.2=pdbs$resno[2,],
##D      grid.col="gray",
##D      xlab="Residue No. (1bg2)", ylab="Residue No. (2kin)")
## End(Not run)



