### Name: print.core
### Title: Printing Core Positions and Returning Indices
### Aliases: print.core
### Keywords: utilities

### ** Examples


## Not run: 
##D ##-- Read kinesin alignment and structures
##D aln <- read.fasta(system.file("examples/kinesin_xray.fa",package="bio3d"))
##D pdb.path = system.file("examples/",package="bio3d")
##D pdbs <- read.fasta.pdb(aln, pdb.path = pdb.path, pdbext = ".ent")
##D 
##D ## Find core
##D core <- core.find(pdbs,
##D                   #write.pdbs = TRUE,
##D                   verbose=TRUE)
## End(Not run)

##-- OR read previously saved kinesin data
data(kinesin)
attach(kinesin)

col=rep("black", length(core$volume))
col[core$volume<2]="pink"; col[core$volume<1]="red"
plot(core, col=col)

inds.1 <- print(core, vol=1)
inds.0.5 <- print(core, vol=0.5)




