### Name: seqaln
### Title: Sequence Alignment with MUSCLE
### Aliases: seqaln
### Keywords: utilities

### ** Examples


## Not run: 
##D ##-- Read a folder/directory of PDB files
##D pdb.path <- "my_dir_of_pdbs"
##D files  <- list.files(path=pdb.path ,
##D                      pattern="[.pdb]",
##D                      full.names=TRUE)
##D 
##D ##-- Extract sequences
##D raw <- NULL
##D for(i in 1:length(files)) {
##D   pdb <- read.pdb(files[i])
##D   raw <- seqbind(raw, aa321(pdb$atom[pdb$calpha,"resid"]))
##D }
##D 
##D ##-- Align sequences
##D aln <- seqaln(raw, id=basename(files),
##D               file="seqaln.fa")
##D 
##D ##-- Read Aligned PDBs
##D pdbs <- read.fasta.pdb(aln, pdb.path=pdb.path, pdbext = "")
##D 
##D ## Do further analysis...
##D 
##D 
##D 
##D ##-- For identical sequences with masking use a custom matrix
##D aln <- list(ali=seqbind(c("X","C","X","X","A","G","K"),
##D                         c("C","-","A","X","G","X","X","K")),
##D             id=c("a","b"))
##D 
##D temp <- seqaln(aln=aln, file="temp.fas", protein=TRUE,
##D                extra.args= paste("-matrix",
##D                 system.file("matrices/custom.mat", package="bio3d"),
##D                 "-gapopen -3.0 ",
##D                 "-gapextend -0.5",
##D                 "-center 0.0") )
##D 
## End(Not run)



