### Name: store.atom
### Title: Store all-atom data from a PDB object
### Aliases: store.atom
### Keywords: utilities

### ** Examples

## Not run: 
##D sel <- c("N", "CA", "C", "O", "CB", "*G", "*D",  "*E", "*Z")
##D pdbs <- read.all(aln, pdb.path = pdb.path, pdbext = ".ent", sel=sel)
##D core <- core.find(pdbs, rm.island=TRUE)
##D 
##D ##-- Core indices
##D atm <- rep( rep(sel,each=3), ncol(aln$ali))
##D ca.ind  <- which(atm == "CA")
##D core.ind <- c( matrix(ca.ind, nrow=3)[,core$c0.5A.atom] )
##D 
##D ##-- Core Fit
##D xyz <- fit.xyz(fixed=tmp[1,],
##D              mobile = tmp,
##D              fixed.inds  = core.ind,
##D              mobile.inds = core.ind)
##D 
##D ##-- Examine all-atom data
##D colnames(tmp) = atm
##D 
##D gap.ind <- unique(which(is.na(tmp),arr.ind=T)[,2])
##D nogap.ind    <- c(1:ncol(tmp))[-gap.ind]
##D #ca.nogap.ind <- intersect(ca.ind, nogap.ind)
##D 
##D ##-- PCA 
##D xray.pca <- pca.xyz( xyz[,nogap.ind] )
##D 
##D plot(xray.pca)
## End(Not run)



