### Name: torsion.pdb
### Title: Calculate Mainchain and Sidechain Torsion/Dihedral Angles
### Aliases: torsion.pdb
### Keywords: utilities

### ** Examples

##-- PDB torsion analysis
pdb <- read.pdb( system.file("examples/1bg2.pdb", package="bio3d") )
tor <- torsion.pdb(pdb)
## basic Ramachandran plot
plot(tor$phi, tor$psi)

## torsion analysis of a single coordinate vector 
inds <- atom.select(pdb,"calpha")
tor.ca <- torsion.xyz(pdb$xyz[inds$xyz], atm.inc=1)

##-- Compare two PDBs to highlight interesting residues
aln <- read.fasta(system.file("examples/kif1a.fa",package="bio3d"))
pdb.path=paste(system.file(package="bio3d"),"/examples/",sep="")
m <- read.fasta.pdb(aln, pdb.path = pdb.path, pdbext = ".ent")
a <- torsion.xyz(m$xyz[2,],1)
b <- torsion.xyz(m$xyz[3,],1)
d <- wrap.tor(a-b)
plot(m$resno[1,],d, typ="h")



