### Name: read.fasta.pdb
### Title: Read Aligned Structure Data
### Aliases: read.fasta.pdb
### Keywords: IO

### ** Examples

# Read sequence alignment
file <- system.file("examples/kif1a.fa",package="bio3d")
aln  <- read.fasta(file)

# Read aligned PDBs
pdb.path = system.file("examples",package="bio3d")
pdbs <- read.fasta.pdb(aln, pdb.path = pdb.path, pdbext = ".ent")

# Structure/sequence names/ids
pdbs$id

# Alignment positions 335 to 339
pdbs$ali[,335:339]
pdbs$resno[,335:339]
pdbs$b[,335:339]

# Alignment C-alpha coordinates for first structure
pdbs$xyz[1,]




