### Name: write.fasta
### Title: Write FASTA Formated Sequences
### Aliases: write.fasta
### Keywords: IO

### ** Examples

## Read a PDB file
pdb <- read.pdb(system.file("examples/1bg2.pdb", package="bio3d"))

## Extract sequence from PDB file
s <- aa321(pdb$seqres)                   # SEQRES
a <- aa321(pdb$atom[pdb$calpha,"resid"]) # ATOM

## Write simple fasta file
#write.fasta( seqs=seqbind(s,a), file="eg.fa")
#write.fasta( ids=c("seqres","atom"), seqs=seqbind(s,a), file="eg.fa" )

write.fasta(list( id=c("seqres"),ali=s ), file="eg.fa")
write.fasta(list( id=c("atom"),ali=a ), file="eg.fa", append=TRUE)

## Align seqres and atom records
#seqaln(seqbind(s,a))

## Read alignment
aln<-read.fasta(system.file("examples/kinesin_xray.fa",package="bio3d"))

## Cut all but positions 330 to 345
aln$ali=aln$ali[,330:345]

write.fasta(aln, file="eg2.fa")




